UIBeanValidator (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.UIBeanValidator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIBeanValidator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIAjaxValidator
                  org.richfaces.component.UIBeanValidator

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxContainer, org.ajax4jsf.component.AjaxContainerBase, org.ajax4jsf.component.AjaxSupport, org.ajax4jsf.event.AjaxSource

Deprecated. That class has been renamed, Use `UIAjaxValidator` instead

    public abstract class UIBeanValidator

extends UIAjaxValidator

Stage class to keep backward compatibility.

Author:
  asmirnov

Field Summary

Fields inherited from class org.richfaces.component.UIAjaxValidator
`BEAN_VALIDATOR_FACET, COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIBeanValidator()` Deprecated.

Method Summary
`java.lang.String` | `getFamily()` Deprecated.

Methods inherited from class org.richfaces.component.UIAjaxValidator
`addAjaxListener, broadcast, encodeAjax, findMessages, findRichMessages, getAjaxListener, getAjaxListeners, getEventString, getMessages, getSingleComponent, queueEvent, removeAjaxListener, setAjaxListener, setParent, setParentProperties`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

Methods inherited from interface org.ajax4jsf.component.AjaxSupport
`getEvent, getOnsubmit, isDisableDefault, setDisableDefault, setEvent, setOnsubmit`

Methods inherited from interface org.ajax4jsf.component.AjaxContainer
`isRenderRegionOnly, setRenderRegionOnly`

Methods inherited from interface org.ajax4jsf.component.AjaxContainerBase
`isImmediate, isSelfRendered, isSubmitted, setImmediate, setSelfRendered, setSubmitted`

Constructor Detail

### UIBeanValidator

    public UIBeanValidator()

  Deprecated.

Method Detail

### getFamily

    public java.lang.String getFamily()

  Deprecated.
  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.